  CREATE OR REPLACE VIEW REVIEW_ITEM_STATUS_V AS 
  SELECT DISTINCT
    item.id review_item_id,
    instance.id review_instance_id,
    instance.status review_status,
    instance.start_date,
    instance.end_date,
    instance.item_count,
    CASE
        WHEN item_type = 'ACCOUNT' AND usr.id IS NULL THEN shacc.suser  
        ELSE usr.id
    END user_id,
    CASE
        WHEN item_type = 'ACCOUNT' AND usr.display_name IS NULL THEN shacc.display_name
        ELSE usr.display_name
    END user_display_name,
    perm.id permission_id,
    perm.name permission_name
   FROM review_item item
     JOIN review_instance instance ON item.review_instance_id = instance.id
     LEFT JOIN suser usr ON usr.unique_user_id = item.unique_user_id AND usr.effective = TRUE
     LEFT JOIN spermission perm ON perm.unique_permission_id = item.unique_permission_id AND perm.effective = TRUE
     LEFT JOIN saccount acct ON acct.unique_account_id = item.unique_account_id AND acct.effective = TRUE
     LEFT JOIN shared_accounts_v shacc ON shacc.unique_account_id = acct.unique_account_id
   WHERE instance.status = 'CERTIFIED' OR instance.status = 'CERTIFYING' OR instance.status = 'AUDIT_APPROVAL'
   ORDER BY item.id;

ALTER TABLE public.REVIEW_ITEM_STATUS_V
  OWNER TO igops;
GRANT ALL ON TABLE public.REVIEW_ITEM_STATUS_V TO igops;
GRANT SELECT ON TABLE public.REVIEW_ITEM_STATUS_V TO ig_report_role;
